Debian Bug report logs - #588412
gnome-applets: FTBFS on kfreebsd-amd64: apm_bios.h:8:3: error: #error This header is not available for amd64

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Thu, 8 Jul 2010 06:39:04 UTC

Severity: serious

Found in version kfreebsd-kernel-headers/0.47

Fixed in version 0.53

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#588412; Package src:gnome-applets. (Thu, 08 Jul 2010 06:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Guilherme de S. Pastore <gpastore@debian.org>. (Thu, 08 Jul 2010 06:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-applets: FTBFS on kfreebsd-amd64: apm_bios.h:8:3: error: #error This header is not available for amd64
Date: Thu, 08 Jul 2010 08:35:39 +0200
Source: gnome-applets
Version: 2.30.0-3
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-amd64:
| gcc -DHAVE_CONFIG_H -I. -I.. -DORBIT2=1 -pthread -I/usr/include/panel-2.0 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/libbonobo-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include    -pthread -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/inclu
 de/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    -pthread -I/usr/include/libupower-glib -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -I/usr/src/sys -DG_LOG_DOMAIN=\"battstat_applet\"  -I/usr/src/sys  -g -O2 -g -Wall -O2 -c battstat_applet.c
| battstat_applet.c: In function 'check_for_updates':
| battstat_applet.c:1066: warning: implicit declaration of function 'gnome_triggers_do'
| battstat_applet.c: In function 'about_cb':
| battstat_applet.c:1234: warning: implicit declaration of function 'power_management_using_upower'
| gcc -DHAVE_CONFIG_H -I. -I.. -DORBIT2=1 -pthread -I/usr/include/panel-2.0 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/libbonobo-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include    -pthread -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/inclu
 de/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    -pthread -I/usr/include/libupower-glib -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -I/usr/src/sys -DG_LOG_DOMAIN=\"battstat_applet\"  -I/usr/src/sys  -g -O2 -g -Wall -O2 -c power-management.c
| In file included from power-management.c:182:
| /usr/include/machine/apm_bios.h:8:3: error: #error This header is not available for amd64
| In file included from power-management.c:183:
| acpi-freebsd.h:40: warning: 'struct apm_info' declared inside parameter list
| acpi-freebsd.h:40: warning: its scope is only this definition or declaration, which is probably not what you want
| power-management.c: In function 'apm_readinfo':
| power-management.c:203: warning: passing argument 1 of 'acpi_freebsd_read' from incompatible pointer type
| acpi-freebsd.h:40: note: expected 'struct apm_info *' but argument is of type 'struct apm_info *'
| power-management.c:219: error: 'APMIO_GETINFO' undeclared (first use in this function)
| power-management.c:219: error: (Each undeclared identifier is reported only once
| power-management.c:219: error: for each function it appears in.)
| power-management.c:224: error: invalid use of undefined type 'struct apm_info'
| power-management.c:229: error: invalid use of undefined type 'struct apm_info'
| power-management.c:230: error: invalid use of undefined type 'struct apm_info'
| power-management.c:231: error: invalid use of undefined type 'struct apm_info'
| power-management.c:233: error: invalid use of undefined type 'struct apm_info'
| power-management.c:235: error: invalid use of undefined type 'struct apm_info'
| make[4]: *** [power-management.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=gnome-applets

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#588412; Package src:gnome-applets. (Thu, 22 Jul 2010 09:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Thu, 22 Jul 2010 09:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 588412@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: Cyril Brulebois <kibi@debian.org>
Cc: 588412@bugs.debian.org
Subject: Re: gnome-applets: FTBFS on kfreebsd-amd64: apm_bios.h:8:3: error: #error This header is not available for amd64
Date: Thu, 22 Jul 2010 11:45:23 +0200
* Cyril Brulebois | 2010-07-08 08:35:39 [+0200]:

>Source: gnome-applets
>Version: 2.30.0-3

>| In file included from power-management.c:182:
>| /usr/include/machine/apm_bios.h:8:3: error: #error This header is not available for amd64
>

This is caused by enabling battstat in -3 which was disabled in -2 via
--disable-battstat.

As far as I can see apm_bios.h is only provided by
kfreebsd-kernel-headers which does not include support on amd64. The
easiest thing would be to disable battstat on kfreebsd-amd64 unless
someone is working on the support for it.

>Mraw,
>KiBi.

Sebastian




Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 22 Jul 2010 09:57:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:gnome-applets' to 'kfreebsd-kernel-headers'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 31 Jul 2010 13:03:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-applets/2.30.0-3. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 31 Jul 2010 13:03:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions kfreebsd-kernel-headers/0.47. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 31 Jul 2010 13:03:11 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 31 Jul 2010 13:06:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sat, 31 Jul 2010 13:06:07 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 31 Jul 2010 13:06:07 GMT) Full text and rfc822 format available.

Message #25 received at 588412-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 588412-done@bugs.debian.org
Subject: Fixed in kfreebsd-kernel-headers_0.53
Date: Sat, 31 Jul 2010 15:04:38 +0200
[Message part 1 (text/plain, inline)]
Version: 0.53

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Sep 2010 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:56:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.